### Hierarchy

- ProcessDefEntityTypeService

### Implements

- IProcessDefEntityTypeService

## Index

### Constructors

- constructor

### Properties

- _datastoreService
- _invoker
- _processRepository

### Accessors

- datastoreService
- invoker
- processRepository

### Methods

- _findByKeyOnly
- _findLatest
- getProcessDefinitionById
- getProcessDefinitionByKey
- getQueryForVersion
- importBpmnFromFile
- importBpmnFromXml
- parseBpmnXml
- start

## Constructors

### constructor

- new ProcessDefEntityTypeService(datastoreService: IDatastoreService, processRepository: IProcessRepository, invoker: IInvoker): ProcessDefEntityTypeService

- - Defined in entity_type_services/process_def.ts:25

  #### Parameters

  - ##### datastoreService: IDatastoreService

  - ##### processRepository: IProcessRepository

  - ##### invoker: IInvoker

  #### Returns ProcessDefEntityTypeService

## Properties

### Private _datastoreService

_datastoreService: IDatastoreService = undefined

- Defined in entity_type_services/process_def.ts:23

### Private _invoker

_invoker: IInvoker = undefined

- Defined in entity_type_services/process_def.ts:25

### Private _processRepository

_processRepository: IProcessRepository = undefined

- Defined in entity_type_services/process_def.ts:24

## Accessors

### Private datastoreService

- get datastoreService(): IDatastoreService

- - Defined in entity_type_services/process_def.ts:34

  #### Returns IDatastoreService

### Private invoker

- get invoker(): IInvoker

- - Defined in entity_type_services/process_def.ts:38

  #### Returns IInvoker

### Private processRepository

- get processRepository(): IProcessRepository

- - Defined in entity_type_services/process_def.ts:42

  #### Returns IProcessRepository

## Methods

### Private _findByKeyOnly

- _findByKeyOnly(context: ExecutionContext, processId: string, key: string): Promise<IProcessDefEntity>

- - Defined in entity_type_services/process_def.ts:234

  #### Parameters

  - ##### context: ExecutionContext

  - ##### processId: string

  - ##### key: string

  #### Returns Promise<IProcessDefEntity>

### Private _findLatest

- _findLatest(context: ExecutionContext, processId: string, key: string, version: string): Promise<IProcessDefEntity>

- - Defined in entity_type_services/process_def.ts:194

  #### Parameters

  - ##### context: ExecutionContext

  - ##### processId: string

  - ##### key: string

  - ##### version: string

  #### Returns Promise<IProcessDefEntity>

### getProcessDefinitionById

- getProcessDefinitionById(context: ExecutionContext, processDefinitionId: string, version?: string, versionlessFallback?: boolean): Promise<IProcessDefEntity>

- - Defined in entity_type_services/process_def.ts:266

  #### Parameters

  - ##### context: ExecutionContext

  - ##### processDefinitionId: string

  - ##### Optional version: string

  - ##### Default value versionlessFallback: boolean = false

  #### Returns Promise<IProcessDefEntity>

### getProcessDefinitionByKey

- getProcessDefinitionByKey(context: ExecutionContext, processDefinitionKey: string, version?: string, versionlessFallback?: boolean): Promise<IProcessDefEntity>

- - Defined in entity_type_services/process_def.ts:245

  #### Parameters

  - ##### context: ExecutionContext

  - ##### processDefinitionKey: string

  - ##### Optional version: string

  - ##### Default value versionlessFallback: boolean = false

  #### Returns Promise<IProcessDefEntity>

### Private getQueryForVersion

- getQueryForVersion(inputQuery: IQueryClause, version?: string): ICombinedQueryClause

- - Defined in entity_type_services/process_def.ts:287

  #### Parameters

  - ##### inputQuery: IQueryClause

  - ##### Optional version: string

  #### Returns ICombinedQueryClause

### importBpmnFromFile

- importBpmnFromFile(context: ExecutionContext, params: IParamImportFromFile, options?: IImportFromFileOptions): Promise<any>

- - Defined in entity_type_services/process_def.ts:46

  #### Parameters

  - ##### context: ExecutionContext

  - ##### params: IParamImportFromFile

  - ##### Optional options: IImportFromFileOptions

  #### Returns Promise<any>

### importBpmnFromXml

- importBpmnFromXml(context: ExecutionContext, params: IParamImportFromXml, options?: IImportFromXmlOptions): Promise<void>

- - Defined in entity_type_services/process_def.ts:68

  #### Parameters

  - ##### context: ExecutionContext

  - ##### params: IParamImportFromXml

  - ##### Optional options: IImportFromXmlOptions

  #### Returns Promise<void>

### parseBpmnXml

- parseBpmnXml(xml: string): Promise<BpmnDiagram>

- - Defined in entity_type_services/process_def.ts:148

  #### Parameters

  - ##### xml: string

  #### Returns Promise<BpmnDiagram>

### start

- start(context: ExecutionContext, params: IParamStart, options?: IPublicGetOptions): Promise<IEntityReference>

- - Defined in entity_type_services/process_def.ts:166

  #### Parameters

  - ##### context: ExecutionContext

  - ##### params: IParamStart

  - ##### Optional options: IPublicGetOptions

  #### Returns Promise<IEntityReference>

Generated using TypeDoc